<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\InteractiveMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ShopMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $id = null;
    


    protected $surface = null;
    


    protected $messageVersion = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getId()
    {
        return isset($this->id) ? $this->id : '';
    }

    public function hasId()
    {
        return isset($this->id);
    }

    public function clearId()
    {
        unset($this->id);
    }

    




    public function setId($var)
    {
        GPBUtil::checkString($var, True);
        $this->id = $var;

        return $this;
    }

    



    public function getSurface()
    {
        return isset($this->surface) ? $this->surface : 0;
    }

    public function hasSurface()
    {
        return isset($this->surface);
    }

    public function clearSurface()
    {
        unset($this->surface);
    }

    




    public function setSurface($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\InteractiveMessage\ShopMessage\Surface::class);
        $this->surface = $var;

        return $this;
    }

    



    public function getMessageVersion()
    {
        return isset($this->messageVersion) ? $this->messageVersion : 0;
    }

    public function hasMessageVersion()
    {
        return isset($this->messageVersion);
    }

    public function clearMessageVersion()
    {
        unset($this->messageVersion);
    }

    




    public function setMessageVersion($var)
    {
        GPBUtil::checkInt32($var);
        $this->messageVersion = $var;

        return $this;
    }

}

